%Vykreslení EDA
hold on
plot(t,EDAv) % EDA bez drift
plot(t,eda,'r') %EDA s driftem
xlabel('t[s]')
ylabel('Vodivost [\muS]')
title('Graf vodivosti kůže')
axis tight
stem(t(detekce2), ones(1,length(detekce2))*max(eda),'m') %vyznačení začátku obrázku
stem(t(impuls), ones(1,length(impuls))*max(eda),'g') %vyznačení okamžiku úlekového stimulu
stem(t(startscr), eda(startscr), 'k') %začátek SCR v původním signálu
stem(t(maxscr), eda(maxscr), 'y') %maximum SCR v původním signálu
stem(t(startscr), EDAv(startscr), 'k') %začátek SCR v upravené,m signálu
stem(t(maxscr), EDAv(maxscr), 'y') %maximum SCR v upraveném signálu
legend('Upravený a vyhlazený signál','Změřený signál','Začátky obrázků s úlekovým stimulem', 'Stimulační impulsy', 'Začátek SCR', 'Konec SCR')

load rozdil %načtení matice rozdil vzniklé zpracoováním EDA
boxplot(rozdil) %Box and Whisker plot
title('Boxplot odezev SCRs na šúlekový stimul')
xlabel('Číslo impulsu')
ylabel('Vodivost \muS')